package com.nailabs.abac.process;

import com.nailabs.abac.trust.*;
import com.nailabs.abac.test.*;
import java.util.*;

/**
 * A linking implication edge represents an edge in a trust target graph 
 * between a <CODE>LinkTTNode</CODE> and a <CODE>SimpleTTNode</CODE>
 */
public class LinkingImplicationEdge extends ImplicationEdge {
    /** default constructor (used for TNT integration) */
    public LinkingImplicationEdge() {
        super();
        type = new String("LinkingImplication");
    }

    /** parsed elements contructor */
    public LinkingImplicationEdge(TrustTarget parent, TrustTarget child, 
                                  ProcessingState state) {
        super(parent, child, state, null);
        type = "LinkingImplication";
    }
    
    /** convert this edge into a human-readable formatted String */
    public String toString() {
        StringBuffer buff = new StringBuffer("[");
        buff.append(type).append("Edge");
        buff.append(getParent()).append(" <<=== ");
        buff.append(getChild()).append(", state = ");
        buff.append(state).append("]");
        return buff.toString();
    }

}


